5.0 版本通用系统要求

这些要求适用于所有平台

  • 安装过程中建议网卡正常工作并连上互联网。
  • 建议内存至少 1 GB,但每个处理器内核 4 GB 或更多。
  • 1 - 5 GB 的磁盘空间,具体取决于许可产品及安装选项。
  • Adobe Acrobat® Reader 9.0 或更新版本,以便查看和打印 PDF 格式的 COMSOL® 文档。

有关硬件的更多推荐信息,请参见我们的知识库入口

浮动网络许可证

Windows®、Linux® 以及 Mac OS X 计算机组成的异构网络中支持浮动网络许可证类型。许可证管理器和 COMSOL® 软件都可以运行在 Windows®、Linux® 或 Mac OS X 上,二者也可以在同一台计算机上运行。 在高性能计算 (HPC) 中建议使用本许可证类型,获得最佳性能表现,在包含混合建模的分布式内存并行中,也需要使用本许可证类型。

操作系统要求

除下面所列的操作系统要求之外,请参见接口产品套件要求,查看 CAD 导入模块、设计模块和 LiveLink™ 产品套件的具体要求。

Windows® Mac OS X Linux®
32 位操作系统

Windows® 8.1
Windows® 8
Windows® 7
Windows Server® 2008
Windows Vista®
Windows Server® 2003,包含 Service Pack 2 或更新版本2
Windows® XP,包含 Service Pack 3 或更新版本2

-

Debian® 5.0, 6.0 及 7.0
OpenSUSE® 11.3
Red Hat® Enterprise Linux® 51、6.0-6.5 和 71
Ubuntu® 10.05 LTS、12.04 LTS 和 14.04 LTS1

64 位操作系统

Windows® 8.1
Windows® 8
Windows® 7
Windows Server® 2012 R2
Windows Server® 2012
Windows Server® 2008 R2
Windows Server® 2008
Windows HPC Server 2008 R2
Windows HPC Server 2008
Windows Vista®
Windows Server® 2003 x64 版本,包含 Service Pack 2 或更新版本2
Windows® Compute Cluster Server 2003,包含 Service Pack 1 或更新版本 Windows® XP Professional x64 版本,包含 Service Pack 2 或更新版本2

Mac OS X 10.7、10.8、10.9 和 10.10

Debian® 5.0、6.0 和 7.0
OpenSUSE® 11.3
Red Hat® Enterprise Linux® 51、6.0-6.5 和 71
Ubuntu® 10.04 LTS、12.04 LTS 和 14.04 LTS1

1 仅支持服务器、批处理和集群操作。
2 仅在跨平台 GUI 下支持。

具体操作系统要求

Linux®

GNU C Library 2.8 版本或更新版本 1
Linux® kernel 2.6.18 或更新版本
Intel® Pentium® IV 或 AMD Athlon® XP 处理器或更新版本
FLEXnet 需要 Linux 标准规范(LSB,Linux Standard Base)。

1 如果系统中的 libstdc++ 版本比 6.0.9 还早,则在启动 COMSOL 时可能需要使用选项 -forcegcc

帮助系统

“帮助模式”设置为“浏览器”时不支持以下浏览器

  • Google Chrome
  • Microsoft Edge

图形系统要求

出于软件性能表现的考虑,COMSOL® 建议使用硬件渲染,其中硬件渲染要求显卡驱动支持 OpenGL® 1.4。Windows® 用户也可以在本地控制台上使用 DirectX® 9。硬件渲染需要至少 24 位颜色深度。

或者,也可以使用软件渲染。“图形”首选项“优化质量”设置中要求 OpenGL® 2.0。软件渲染也支持 16 位的颜色图形。出于性能方面的考虑,我们建议显卡内存至少有 512 MB。

  显卡型号 操作系统 驱动程序版本
Windows® FirePro™ W7000 Windows® 7 13.352.1014
Quadro™ 600 Windows® 7 9.18.13.4052
Quadro™ FX 3800 Windows Server® 2008 R2 9.18.13.2000
Quadro™ FX 580 Windows Server® 2012 9.18.13.4052
Quadro™ K2000 Windows Vista® 9.18.13.4052
Quadro™ K4000 Windows® 7 9.18.13.4052
Quadro™ K5000 Windows® 8 9.18.13.4052
Quadro™ K600 Windows® 8.1 9.18.13.4052
Linux® * FirePro™ V5900 Ubuntu® 12.04 LTS 13.352.1014
FirePro™ W5000 Debian® 7.0 13.352.1014
FirePro™ W8000 Debian® 6.0 13.352.1014
NVS™ 510 Ubuntu® 14.04 LTS 9.18.13.4032
Quadro™ FX 1800 Debian® 6.0 195.36.31
Quadro™ K600 Debian® 7.0 9.18.13.4032

上表中所列的显卡均已通过与 COMSOL Multiphysics® 的严格兼容性测试。请注意,其他 AMD 或 NVIDIA 显卡同样也可能与 COMSOL Multiphysics® 兼容。与上表中所列显卡同属一种型号系列的显卡与 COMSOL Multiphysics® 兼容的可能性更高。

* 对于 Linux® 系统下的硬件加速,请使用 NVIDIA 或 AMD 等显卡供应商发布的专用驱动程序,或者,请使用 COMSOL® 软件渲染功能。仅在软件渲染中支持 Nouveau 视频驱动。

官方支持的编译器

Windows® Mac OS X Linux®
C 语言外部函数 Visual Studio® 2010 官方支持 Intel® Composer XE 2013.3(也称 Intel® Compiler 版本 13.0.2)及 GCC 4.2.1 官方支持 Intel® Composer XE 2013.4(也称 Intel® Compiler 版本 13.1.2)及 GCC 4.2.1
Java® API JDK 1.6 或 1.7 JDK 1.6 或 1.7 JDK 1.6 或 1.7

并行系统要求 *

Windows® Mac OS X Linux®
共享内存并行 所有支持的 Windows® 版本 所有支持的 Mac OS X 版本 所有支持的 Linux® 分发版
分布内存并行

Windows Server® 2012 R2
Windows Server® 2012
Windows HPC Server 2008 R2
Windows HPC Server 2008
Windows® Compute Cluster Server 2003 with Service Pack 1

不支持

Red Hat® Enterprise Linux® 5 和 6.0-6.5
Debian® 6
Ubuntu® 12.04

集群中的所有计算机都必须使用相同的 Linux® 版本,且硬件都应类似。建议安装 OpenFabrics Enterprise Distribution (OFED) 1.4 或更高版本。如果正在使用适用 RDMA 的网络架构 fabrics,则需要一个 DAPL 1.2 或更新版本兼容的驱动或库。本软件一般与硬件同时提供

* COMSOL 很自豪是 Intel® Cluster Ready 计划的成员,每个新版本均经过了认证。查看认证信息。这一认证也保证了 COMSOL Multiphysics 可以在任何已经通过 Intel Cluster Ready 认证的硬件上进行无缝的并行计算和集群建模。

Intel Cluster Ready
Intel,Intel Cluster Ready 和 Intel Cluster Ready 文本均为 Intel Corporation 在美国和/或其他国家的商标。

FLEXnet 许可证管理器

所有平台均使用 FLEXnet 11.12 版本,lmgrd 应与 COMSOL 中所用的 FLEXnet 具有相同或更高的版本。

注意:本建议信息只是出于用户利益的考虑而提供,不应替代您根据具体情况和自身对于 COMSOL® 软件或其他软件的使用而对适用系统要求进行的考察和判断。系统和硬件会经常升级,这可能会影响您对适用系统要求的判断。